GET api/v1/po_receipts
Return a list of PO receipts (filtered by parameters).
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| item_numbers |
List of item numbers you want to retrieve their PO receipts, separated by comma. If empty, all items that match the query are returned. |
string |
None. |
| inventory_type |
Return only items from a specific 'inventory type'. |
string |
None. |
| receipt_type |
Return only receipts from a specific 'receipt type'. |
receipt_type |
Default value is any |
| supplier_reference |
Return only receipts with this specific supplier reference. |
string |
None. |
| customer_po_number |
Return only receipt with a specific customer PO number. |
string |
None. |
| reference_transaction_number |
Return only receipt with a specific reference transaction number. |
string |
None. |
| dcl_po_number |
Return only receipt with a specific DCL po number. |
integer |
Default value is 0 |
| received_from |
Order received date from. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| received_to |
Order received date to. Date in ISO-8601 format. Only date part (no time) is required ('YYYY-MM-DD'). |
date |
None. |
| fields |
Limit which fields are returned by the API. Ignored when null or empty (example: 'dcl_po_number,receipt_date') |
string |
None. |
| page |
Page number. |
integer |
Default value is 1 |
| page_size |
Amount of receipts returned per page. Maximum is set to 100. |
integer |
Default value is 100 |
Body Parameters
None.
Response Information
Resource Description
response_get_po_receipts| Name | Description | Type | Additional information |
|---|---|---|---|
| error_code |
Zero if no errors. See 'error_message' for a detailed description of the error. |
integer |
None. |
| error_message |
Returns a detailed description of the error. |
string |
None. |
| po_receipts |
Array of PO receipts. |
Collection of po_receipt |
None. |
Response Formats
application/json, text/json
{
"error_code": 0,
"error_message": "",
"po_receipts": [
{
"account_number": "10501",
"dcl_po_number": 164470,
"dcl_receipt_number": 548878,
"supplier_reference": "",
"order_date": "2013-08-05",
"customer_po_number": "",
"reference_transaction_number": "",
"receipt_date": "2013-08-05",
"receipt_type": "OC",
"inventory_type": "ZFRC",
"inventory_code": "DEM",
"lines": [
{
"dcl_po_line_number": 1,
"item_number": "1002-002-DEMO2",
"item_description": "Product For Demo 2",
"quantity_ordered": 10,
"quantity_received": 10,
"box_pallet": "",
"lots": []
},
{
"dcl_po_line_number": 2,
"item_number": "1007-007-DEMO7",
"item_description": "Product For Demo 7",
"quantity_ordered": 10,
"quantity_received": 10,
"box_pallet": "",
"lots": [
{
"lot_number": "09042014A",
"expiration_date": "2015-09-01",
"quantity_ordered": 10,
"quantity_received": 7
},
{
"lot_number": "093456",
"expiration_date": "2015-09-01",
"quantity_ordered": 10,
"quantity_received": 3
}
]
},
{
"dcl_po_line_number": 3,
"item_number": "1001-001-DEMO",
"item_description": "Product For Demo",
"quantity_ordered": 10,
"quantity_received": 10,
"box_pallet": "",
"lots": []
}
]
},
{
"account_number": "10509",
"dcl_po_number": 175879,
"dcl_receipt_number": 717281,
"supplier_reference": "",
"order_date": "2014-08-04",
"customer_po_number": "",
"reference_transaction_number": "",
"receipt_date": "2014-08-04",
"receipt_type": "OC",
"inventory_type": "ZFRC",
"inventory_code": "DEM",
"lines": [
{
"dcl_po_line_number": 1,
"item_number": "1002-002-DEMO2",
"item_description": "Product For Demo 2",
"quantity_ordered": 500,
"quantity_received": 500,
"box_pallet": "",
"lots": []
}
]
}
]
}